summaryrefslogtreecommitdiff
path: root/include/inject.sh
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2025-05-06 19:43:44 +0100
committerLeah Rowe <leah@libreboot.org>2025-05-06 19:43:44 +0100
commit4781dbd2a050e7c98ae14e0eead7fb6f3ec0f92c (patch)
tree755d8a774c8c9c091340ca14e0e8f055809d9c24 /include/inject.sh
parentcf78583a6d8b4fe744c0872c82e7cca011899188 (diff)
inject.sh: fix oversight in me bruteforce
i used i instead of 1, in the variable when running the extract_archive function. this didn't trigger since +u was set, and +e was set. in practise, then, it seems that because of this, and because my ME extract/insert test was a success, that none of the archives we use actually have a ME inside of a file inside of a given downloaded archive. still, this is technically incorrect, so fix it! Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'include/inject.sh')
-rw-r--r--include/inject.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/include/inject.sh b/include/inject.sh
index 347d2d3b..b31964e6 100644
--- a/include/inject.sh
+++ b/include/inject.sh
@@ -174,7 +174,7 @@ extract_intel_me_bruteforce()
"$me7updateparser" -O "$_metmp" "$1" && return 1
_7ztest="${_7ztest}a"
- extract_archive "$i" "$_7ztest" || return 0
+ extract_archive "$1" "$_7ztest" || return 0
fe_ extract_intel_me_bruteforce "$_7ztest" -type f || return 1; :
}